Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Terminal

  • Create terminal action

  • Search terminal actions

  • Get terminal action

  • Cancel terminal action

  • Dismiss terminal action

  • Create terminal checkout

  • Search terminal checkouts

  • Get terminal checkout

  • Cancel terminal checkout

  • Dismiss terminal checkout

  • Create terminal refund

  • Search terminal refunds

  • Get terminal refund

  • Cancel terminal refund

  • Dismiss terminal refund

  • Webhooks

  • terminal.action.created

  • terminal.action.updated

  • terminal.checkout.created

  • terminal.checkout.updated

  • terminal.refund.created

  • terminal.refund.updated

<- Terminal API

Terminal API

All versions ->

Search terminal refunds

POST

 /v2/terminals/refunds/search

Retrieves a filtered list of Interac Terminal refund requests created by the seller making the request.

Terminal refund requests are available for 30 days.

Permissions:PAYMENTS_READ

Guide

Search for Terminal refunds

Try in API Explorer
Link to section

Request body

Example code

Link to section

query

Queries the Terminal refunds based on given conditions and the sort order. Calling SearchTerminalRefunds without an explicit query parameter returns all available refunds with the default sort order.

Link to section

cursor

string

A pagination cursor returned by a previous call to this endpoint. Provide this cursor to retrieve the next set of results for the original query.

Link to section

limit

integer(32-bit)

Limits the number of results returned for a single request.

Min
1
Max
100
Link to section

Response fields

Link to section

errors

Information about errors encountered during the request.

Link to section

refunds

The requested search result of TerminalRefund objects.

Link to section

cursor

string

The pagination cursor to be used in a subsequent request. If empty, this is the final response.

See Pagination for more information.

Link to section

Examples

All versions ->

POST /v2/terminals/refunds/search
curl https://connect.squareup.com/v2/terminals/refunds/search \ -X POST \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "limit": 1, "query": { "filter": { "status": "COMPLETED" } } }'

Response JSON

{ "refunds": [ { "id": "009DP5HD-5O5OvgkcNUhl7JBuINflcjKqUzXZY", "refund_id": "5O5OvgkcNUhl7JBuINflcjKqUzXZY_43Q4iGp7sNeATiWrUruA1EYeMRUXaddXXlDDJ1EQLvb", "payment_id": "5O5OvgkcNUhl7JBuINflcjKqUzXZY", "amount_money": { "amount": 111, "currency": "CAD" }, "reason": "Returning item", "device_id": "f72dfb8e-4d65-4e56-aade-ec3fb8d33291", "deadline_duration": "PT5M", "status": "COMPLETED", "created_at": "2020-09-29T15:21:46.771Z", "updated_at": "2020-09-29T15:21:48.675Z", "app_id": "sandbox-sq0idb-c2OuYt13YaCAeJq_2cd8OQ", "card": { "card_brand": "INTERAC", "last_4": "1111", "exp_month": 1, "exp_year": 2022, "fingerprint": "sq-1-B1fP9MNNmZgVVaPKRND6oDKYbz25S2cTvg9Mzwg3RMTK1zT1PiGRT-AE3nTA8vSmmw", "card_type": "CREDIT", "bin": "411111" }, "order_id": "kcuKDKreRaI4gF4TjmEgZjHk8Z7YY", "location_id": "76C9W6K8CNNQ5" } ] }